Read thermal statistics
POST
/v1/thermal/stats
const url = 'https://api.datacenter.butlr.io/v1/thermal/stats';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"entity":{"type":"hall","id":"example"},"sensors":["example"],"from":1,"to":1,"measurement":"sensor_temperature","metrics":["temperature"],"samples":1,"fields":["compensated"],"tier":"fine","include_per_u":true,"insights_only":true,"event_limit":1,"event_cursor":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.datacenter.butlr.io/v1/thermal/stats \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "entity": { "type": "hall", "id": "example" }, "sensors": [ "example" ], "from": 1, "to": 1, "measurement": "sensor_temperature", "metrics": [ "temperature" ], "samples": 1, "fields": [ "compensated" ], "tier": "fine", "include_per_u": true, "insights_only": true, "event_limit": 1, "event_cursor": "example" }'Return sampled thermal series and summaries for an authorized entity and time window.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
One of:
object
entity
required
object
type
required
string
id
required
string
sensors
Array<string>
from
integer format: int64
to
integer format: int64
measurement
string
metrics
Array<string>
samples
integer
fields
Array<string>
tier
string
include_per_u
boolean
insights_only
boolean
event_limit
integer
event_cursor
string
object
entity
object
type
required
string
id
required
string
sensors
required
Array<string>
from
integer format: int64
to
integer format: int64
measurement
string
metrics
Array<string>
samples
integer
fields
Array<string>
tier
string
include_per_u
boolean
insights_only
boolean
event_limit
integer
event_cursor
string
Responses
Section titled “Responses”Thermal statistics
Invalid request
Media typeapplication/json
object
message
string
key
additional properties
any
Example generated
{ "message": "example"}Missing, invalid, expired, or revoked token
Media typeapplication/json
object
message
string
key
additional properties
any
Example generated
{ "message": "example"}Route, operation, or resource is outside the token’s read-only organization scope
Media typeapplication/json
object
message
string
key
additional properties
any
Example generated
{ "message": "example"}Request rate exceeded; honor Retry-After
Media typeapplication/json
object
message
string
key
additional properties
any
Example generated
{ "message": "example"}